/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
 
/*
 * $Id: Insurance.java 65615 2012-03-29 19:02:39Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.relationship.defaults;

 import javax.persistence.Entity;
 import javax.persistence.Id;

/*
 * Insurance
 */

@Entity
public class Insurance implements java.io.Serializable {

    // Instance variables
    private int  insid;
    private String  carrier;

    public Insurance() {
    }

    public Insurance(int insid, String carrier) {
        this.insid = insid;
        this.carrier = carrier;
    }


    // ===========================================================
    // getters and setters for the state fields

    @Id
    public int getInsId() {
        return insid;
    }
    public void setInsId(int insid) {
        this.insid = insid;
    }

    public String getCarrier() {
        return carrier;
    }
    public void setCarrier(String carrier) {
        this.carrier = carrier;
    }

}

